=== debian/changelog ===
muse (2.0.1-1) unstable; urgency=low

  [ Fabrice Coutadeur ]
  * New stable bug fixing release.
  * debian/compat: set compat to 9 to automatically get hardening flags

  [ Alessio Treglia ]
  * Add Fabrice Coutadeur to the Uploaders field.
  * Refresh 1001-buildsystem.patch.

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Sat, 04 Aug 2012 07:05:22 +0200
