=== debian/control ===
Source: muse
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Fabrice Coutadeur <coutadeurf@gmail.com>
Build-Depends:
 cmake,
 debhelper (>= 7.4.10~),
 dssi-dev,
 libasound2-dev,
 libdssialsacompat-dev [!linux-any],
 libfluidsynth-dev,
 libjack-dev,
 liblo-dev,
 libqt4-dev,
 libsamplerate0-dev,
 libsndfile1-dev,
 uuid-dev
Standards-Version: 3.9.3
Homepage: http://www.muse-sequencer.org/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/muse.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/muse.git

Package: muse
Architecture: any
Depends:
 python,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 jackd
Description: Qt4-based audio/MIDI sequencer
 MusE is a MIDI/audio sequencer with recording and editing capabilities.
 Some Highlights:
 .
  * Standard midifile (smf) import-/export.
  * Organizes songs in tracks and parts which you can arrange with
    the part editor.
  * MIDI editors: pianoroll, drum, list, controller.
  * Score editor with high quality postscript printer output.
  * Realtime: editing while playing.
  * Unlimited number of open editors.
  * Unlimited undo/redo.
  * Realtime and step-recording.
  * Multiple MIDI devices.
  * Unlimited number of tracks.
  * Sync to external devices: MTC/MMC, Midi Clock, Master/Slave.
  * Audio tracks, LADSPA host for master effects.
  * Multithreaded.
  * Uses raw MIDI devices.
  * XML project file.
  * Project file contains complete app state (session data).
  * Application spanning Cut/Paste Drag/Drop.
