## muse 2.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,7 @@
 #=============================================================================
 
 include(FindPkgConfig)
+include(CheckIncludeFile)
 include(cmake/Summary.cmake)
 include(cmake/TargetDoc.cmake)
 
@@ -34,6 +35,12 @@
 if (NOT DEFINED LIB_SUFFIX)
         SET(LIB_SUFFIX "" CACHE STRING "Suffix for installed library path. Ex. 64 for lib64")
 endif (NOT DEFINED LIB_SUFFIX)
+
+if (NOT DEFINED VST_HEADER_PATH)
+        SET(VST_HEADER_PATH "${CMAKE_CURRENT_SOURCE_DIR}/vestige" CACHE PATH "Path to vst header files (aeffectx.h). Default is ./vestige. See ENABLE_VST_VESTIGE.")
+endif (NOT DEFINED VST_HEADER_PATH)
+message(" vst header path: " ${VST_HEADER_PATH} )
+include_directories(${VST_HEADER_PATH})
 
 # set libdir if not use -DLIB_INSTALL_DIR
 if (NOT LIB_INSTALL_DIR)
@@ -76,11 +83,11 @@
 
 # The MusE version number.
 SET(MusE_VERSION_MAJOR 2)
-SET(MusE_VERSION_MINOR 0)
-SET(MusE_VERSION_PATCH 1)
-SET(MusE_VERSION       "2.0.1")
-SET(MusE_VERSION_FULL  "2.0.1")
-SET(MusE_INSTALL_NAME  "muse-2.0")
+SET(MusE_VERSION_MINOR 1)
+SET(MusE_VERSION_PATCH 0)
+SET(MusE_VERSION       "2.1.1")
+SET(MusE_VERSION_FULL  "2.1.1")
+SET(MusE_INSTALL_NAME  "muse-2.1")
 SET(MusE_EXEC_NAME     "muse2")
 
 ## The directory where we will install the shared components:
@@ -112,19 +119,17 @@
             OUTPUT_VARIABLE MusE_SVNVER )
 endif (${SVNVER} STREQUAL "SVNVER-NOTFOUND")
 
-# Do we need this? - Orcan:
-# include ( ${PROJECT_SOURCE_DIR}/cmake/WrapMacros.cmake)
-
-option ( ENABLE_LASH        "enable LASH Audio Session Handler"                              ON)
-option ( ENABLE_OSC         "enable Open Sound Control (DSSI also recommended)"              ON)   
-option ( ENABLE_DSSI        "enable Disposable Soft Synth Interface (OSC also recommended)"  ON)
-option ( ENABLE_VST         "enable VST/win support (deprecated)"                            OFF)
-option ( ENABLE_FLUID       "enable fluidsynth softsynth plugins"                            ON)
-option ( ENABLE_EXPERIMENTAL "enable building experimental features"                         OFF)
-option ( ENABLE_PYTHON      "enable Python control support"                                  OFF)
-option ( UPDATE_TRANSLATIONS "Update source translation share/locale/*.ts files 
-         (WARNING: This will modify the .ts files in the source tree!!)"                     OFF)
-option ( MODULES_BUILD_STATIC "Build type of internal modules"                               OFF)
+option ( ENABLE_LASH        "Enable LASH Audio Session Handler (or LADISH compatibility layer)"     ON)
+option ( ENABLE_OSC         "Enable Lightweight Open Sound Control (liblo) (DSSI also recommended)"  ON)
+option ( ENABLE_DSSI        "Enable Disposable Soft Synth Interface (dssi) (OSC also recommended)" ON)
+option ( ENABLE_VST         "Enable VST/win support (deprecated)"                                OFF)
+option ( ENABLE_VST_NATIVE  "Enable Native VST support (see ENABLE_VST_VESTIGE and VST_HEADER_PATH)" ON)
+option ( ENABLE_VST_VESTIGE "Set VST header type is Vestige"                                         ON)
+option ( ENABLE_FLUID       "Enable fluidsynth softsynth plugins."                                ON)
+option ( ENABLE_EXPERIMENTAL "Enable building experimental features."                             OFF)
+option ( ENABLE_PYTHON      "Enable Python control support."                                      OFF)
+option ( UPDATE_TRANSLATIONS "Update source translation share/locale/*.ts files (WARNING: This will modify the .ts files in the source tree!!)" OFF)
+option ( MODULES_BUILD_STATIC "Build type of internal modules"                                   OFF)
 
 if ( MODULES_BUILD_STATIC )
       SET(MODULES_BUILD STATIC )
@@ -153,7 +158,6 @@
 set(QT_MIN_VERSION "4.3.0")
 set(QT_USE_QTXML TRUE)
 set(QT_USE_QTDESIGNER TRUE)
-#set(QT_USE_QTNSPLUGIN TRUE)
 set(QT_USE_QTSVG TRUE)
 
 find_package(Qt4)
@@ -170,10 +174,24 @@
 
 include(${QT_USE_FILE})
 
-
-##
-## find doxygen
-##    TODO
+##
+##   Begin MANDATORY packages...
+##
+
+##
+## find doxygen program
+##
+
+FIND_PROGRAM(DOXY doxygen)
+
+##
+## find ladspa.h
+##
+
+CHECK_INCLUDE_FILE(ladspa.h HAVE_LADSPA_H)
+if(NOT HAVE_LADSPA_H)
+      message(FATAL_ERROR "** ERROR: header file ladspa.h is required, but was not found.")
+endif(NOT HAVE_LADSPA_H)
 
 ##
 ## alsa >= 0.9.0
@@ -213,6 +231,14 @@
 
 PKG_CHECK_MODULES(JACK REQUIRED jack>=0.103)
 include_directories(${JACK_INCLUDE_DIRS})
+
+##
+##   End MANDATORY packages.
+##
+
+##
+##   Begin OPTIONAL packages...
+##
 
 ##
 ## find LASH 
@@ -278,6 +304,10 @@
       message("DSSI disabled")
 endif (ENABLE_DSSI)
 
+##
+## Depricated FST-based VST support
+##
+
 if (ENABLE_VST)
       message("deprecated VST support enabled")
       set (VST_SUPPORT TRUE)
@@ -287,6 +317,36 @@
 endif (ENABLE_VST)
 
 ##
+## Native VST support
+##
+
+SET (AEFFECT_H_FOUND FALSE)
+SET (VST_NATIVE_SUPPORT FALSE)
+
+if (ENABLE_VST_NATIVE)
+      find_file(VST_HEADER_CHECK aeffectx.h PATHS ${VST_HEADER_PATH} NO_DEFAULT_PATH)
+      if (VST_HEADER_CHECK STREQUAL "VST_HEADER_CHECK-NOTFOUND")
+        message("Native VST support disabled")
+      else (VST_HEADER_CHECK STREQUAL "VST_HEADER_CHECK-NOTFOUND")
+        SET (AEFFECT_H_FOUND TRUE)
+        message("Native VST support enabled")
+        set (VST_NATIVE_SUPPORT TRUE)
+      endif (VST_HEADER_CHECK STREQUAL "VST_HEADER_CHECK-NOTFOUND")
+    
+else (ENABLE_VST_NATIVE)
+      message("Native VST support disabled")
+endif (ENABLE_VST_NATIVE)
+
+# find_file creates a cached variable. We don't want VST_HEADER_CHECK cached.
+UNSET (VST_HEADER_CHECK CACHE)
+
+if (ENABLE_VST_VESTIGE)
+  SET (VST_VESTIGE_SUPPORT TRUE)
+else (ENABLE_VST_VESTIGE) 
+  SET (VST_VESTIGE_SUPPORT FALSE)
+endif (ENABLE_VST_VESTIGE)
+
+##
 ## TODO
 ##
 ## Optimizations
@@ -299,22 +359,21 @@
 ##
 
 if ( ENABLE_FLUID )
-      # Be careful with naming here since we have two shared synth libraries
-      #  to be built later, named 'fluidsynth' and 'fluid' !
+      # Be careful with variable name here since we have a shared
+      #  synth library named 'fluid_synth' to be built later.
       PKG_CHECK_MODULES(FLUIDSYN fluidsynth>=0.9.0)
       if (FLUIDSYN_FOUND)
             include_directories(${FLUIDSYN_INCLUDE_DIRS})
             set(HAVE_FLUIDSYNTH ON)
-            # message("FLUIDSYN_LIBRARIES " ${FLUIDSYN_LIBRARIES} )          # "fluidsynth"
-            # message("FLUIDSYN_LDFLAGS " ${FLUIDSYN_LDFLAGS} )              # "-lfluidsynth"
-            # message("FLUIDSYN_LDFLAGS_OTHER " ${FLUIDSYN_LDFLAGS_OTHER} )  # empty
-            # message("FLUIDSYN_INCLUDE_DIRS " ${FLUIDSYN_INCLUDE_DIRS} )    # empty
-            # message("FLUIDSYN_CFLAGS " ${FLUIDSYN_CFLAGS} )                # empty
-            # message("FLUIDSYN_CFLAGS_OTHER " ${FLUIDSYN_CFLAGS_OTHER} )    # empty
       endif (FLUIDSYN_FOUND)
 else ( ENABLE_FLUID )
       message("Fluidsynth disabled")
 endif ( ENABLE_FLUID )
+
+##
+##   End OPTIONAL packages.
+##
+
 
 if ( ENABLE_EXPERIMENTAL )
       set(CMAKE_CXX_FLAGS -DBUILD_EXPERIMENTAL ${CMAKE_CXX_FLAGS})
@@ -346,38 +405,3 @@
       OUTPUT ${PROJECT_BINARY_DIR}/all-pic-debug.h
       COMMAND cp ${PROJECT_SOURCE_DIR}/all.h ${PROJECT_BINARY_DIR}/all-pic-debug.h
       DEPENDS ${PROJECT_SOURCE_DIR}/all.h
-      WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
-      )
-
-include_directories(
-   .
-   ${PROJECT_SOURCE_DIR}
-   ${PROJECT_SOURCE_DIR}/muse
-   ${PROJECT_SOURCE_DIR}/muse/widgets
-   ${PROJECT_BINARY_DIR}
-   ${PROJECT_BINARY_DIR}/muse
-   ${PROJECT_BINARY_DIR}/muse/widgets
-   ${PROJECT_BINARY_DIR}/muse/instruments
-   ${PROJECT_BINARY_DIR}/muse/ctrl
-   )
-
-# include (pch.txt)
-
-#
-# If the cmake version includes cpack, use it
-#
-IF(EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")
-
-  IF(EXISTS "${CMAKE_ROOT}/Modules/InstallRequiredSystemLibraries.cmake")
-      SET(CMAKE_INSTALL_MFC_LIBRARIES 1)
-      INCLUDE(InstallRequiredSystemLibraries)
-  ENDIF(EXISTS "${CMAKE_ROOT}/Modules/InstallRequiredSystemLibraries.cmake")
-
-  SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "MusE is a virtual audio studio environment")
-  SET(CPACK_PACKAGE_VENDOR "Werner Schweer and others")
-  SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
-  SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
-  SET(CPACK_PACKAGE_VERSION_MAJOR "${MusE_VERSION_MAJOR}")
-  SET(CPACK_PACKAGE_VERSION_MINOR "${MusE_VERSION_MINOR}")
-  SET(CPACK_PACKAGE_VERSION_PATCH "${MusE_VERSION_PATCH}")
-  SET(CPACK_PACKAGE_INSTALL_DIRECTORY "CMake ${CMake_VERSION_MAJOR}.${CMake_VERSION_MINOR}")
