=== debian/changelog ===
muse (2.1.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Remove unnecessary debian/patches/0001-es_locale_fix.patch.
  * Fix Vcs fields.
  * Refresh debian/copyright.
  * Elaborate public-domain licensed code.
  * Fix doc-base control file.
  * Bump debhelper requirements.

 -- Alessio Treglia <alessio@debian.org>  Thu, 31 Jan 2013 10:21:39 +0000

muse (2.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh 1001-buildsystem.patch.

 -- Alessio Treglia <alessio@debian.org>  Mon, 07 Jan 2013 10:27:14 +0000

muse (2.1~rc2-1) unstable; urgency=low

  * New upstream release.
  * Build-depend on libx11-dev.
  * Refresh 1001-buildsystem.patch.

 -- Alessio Treglia <alessio@debian.org>  Sat, 29 Dec 2012 15:09:36 +0000

muse (2.1~rc1-1) unstable; urgency=low

  * New upstream release.
  * Refresh 1001-buildsystem.patch.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 22 Nov 2012 01:16:59 +0000
