=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 override_dh_clean:
 	dh_clean -Xmuse/widgets/arrangercolumns.cpp~ \
-		-Xmuse/widgets/arrangercolumns.h~
+		-Xmuse/widgets/arrangercolumns.h~ -X*~
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DCMAKE_BUILD_TYPE=release
